package com.philisense.www.service.impl;


import com.philisense.www.dao.EbookArticleDAO;
import com.philisense.www.service.EbookArticleService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


import java.util.List;
import java.util.Map;

@Service
public class EbookArticleServiceImpl implements EbookArticleService {

@Autowired
private EbookArticleDAO ebookArticleDAO;

@Override
public int deleteByPrimaryKey(String id) {
return ebookArticleDAO.deleteByPrimaryKey(id);
}

@Override
public Map<String, Object> selectByPrimaryKey(String id) {
return ebookArticleDAO.selectByPrimaryKey(id);
}

@Override
public int insert(Map<String, Object> map) {
return ebookArticleDAO.insert(map);
}

@Override
public int update(Map<String, Object> map) {
return ebookArticleDAO.update(map);
}

@Override
public int deleteByMap(Map<String, Object> map) {
return ebookArticleDAO.deleteByMap(map);
}

@Override
public int updateByMap(Map<String, Object> map) {
return ebookArticleDAO.updateByMap(map);
}

@Override
public Map<String, Object> getOne(Map<String, Object> map) {
return ebookArticleDAO.getOne(map);
}

@Override
public List<Map<String, Object>> getAll(Map<String, Object> map) {
return ebookArticleDAO.getAll(map);
}

@Override
public List<Map<String, Object>> queryPage(Map<String, Object> map) {
return ebookArticleDAO.queryPage(map);
}

@Override
public int count(Map<String, Object> map) {
return ebookArticleDAO.count(map);
}

@Override
public void insertBatch(List<Map<String, Object>> list) {
ebookArticleDAO.insertBatch(list);
}

@Override
public void deleteBatch(List<Map<String, Object>> list) {
ebookArticleDAO.deleteBatch(list);
}

@Override
public void updateBatch(List<Map<String, Object>> list) {
ebookArticleDAO.updateBatch(list);
}

@Override
public List<Map<String, Object>> timecountlist(Object map) {
    return ebookArticleDAO.timecountlist(map);
}

    @Override
    public List<Map<String, Object>> getTopToHomePage(Map<String, Object> map) {
        return ebookArticleDAO.getTopToHomePage(map);
    }

    @Override
    public int getCountProEbookArticleByLevelCode(Map<String, Object> map) {
        return ebookArticleDAO.getCountProEbookArticleByLevelCode(map);
    }

    @Override
    public List<Map<String, Object>> getPageProEbookArticleByLevelCode(Map<String, Object> map) {
        return ebookArticleDAO.getPageProEbookArticleByLevelCode(map);
    }
}